import argparse
import sys
from gpx2html import Gpx2Html

def parse_args():
    '''Shell argument parser.'''
    parser = argparse.ArgumentParser()
    parser.add_argument('infolder', help='Specify the in folder.')
    parser.add_argument('outfolder', help='Specify the out folder.')
    return parser.parse_args()

def main():
    args = parse_args()
    gpx2html = Gpx2Html(args.infolder, args.outfolder)
    gpx2html.process()

if __name__ == '__main__':
    sys.exit(main())
